Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.hq.product
Class SNMPMeasurementPlugin

    java.lang.Object
      net.hyperic.hq.product.GenericPlugin
          net.hyperic.hq.product.MeasurementPlugin
              net.hyperic.hq.product.SNMPMeasurementPlugin

public class SNMPMeasurementPlugin
extends MeasurementPlugin

Field Summary
`static java.lang.String` | `PROP_INDEX_NAME`
`static java.lang.String` | `PROP_INDEX_VALUE`
`static java.lang.String` | `PROP_OID`
`static java.lang.String` | `PROP_VARTYPE`

Fields inherited from class net.hyperic.hq.product.MeasurementPlugin
`PROP_TEMPLATE_CONFIG`

Fields inherited from class net.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`SNMPMeasurementPlugin()`

Method Summary
`ConfigSchema` | `getConfigSchema(TypeInfo info, ConfigResponse config)` The ConfigSchema used to render config options for this resource in the UI and client shell.
`protected java.util.Map` | `getMeasurementProperties()` used for replacement in etc/hq-plugin.xml
`protected java.lang.String[]` | `getMIBs()`
`MetricValue` | `getValue(Metric metric)` This method is called when the plugin is asked for a metric value.
`void` | `init(PluginManager manager)` Called when the plugin is loaded on the server and on the agent side.

Methods inherited from class net.hyperic.hq.product.MeasurementPlugin
`getHelp, getManager, getMeasurements, getPlatformHelpProperties, getPluginXMLHelp, translate`

Methods inherited from class net.hyperic.hq.product.GenericPlugin
`configure, getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getName, getPlatformName, getPluginClassName, getProductPlugin, getProperties, getProperty, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperty, getTypeProperty, getTypeProperty, isWin32, openResource, setName, setTypeInfo, shutdown, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROP_INDEX_NAME

    public static final java.lang.String PROP_INDEX_NAME

See Also:
  Constant Field Values

### PROP_INDEX_VALUE

    public static final java.lang.String PROP_INDEX_VALUE

See Also:
  Constant Field Values

### PROP_OID

    public static final java.lang.String PROP_OID

See Also:
  Constant Field Values

### PROP_VARTYPE

    public static final java.lang.String PROP_VARTYPE

See Also:
  Constant Field Values

Constructor Detail

### SNMPMeasurementPlugin

    public SNMPMeasurementPlugin()

Method Detail

### getMIBs

    protected java.lang.String[] getMIBs()

  Returns:
    The MIB names that should be loaded for this plugin.

### getConfigSchema

    public ConfigSchema getConfigSchema(TypeInfo info,
                                        ConfigResponse config)

  Description copied from class: `GenericPlugin`
  The ConfigSchema used to render config options for this resource in the UI and client shell.

  Overrides:
    `getConfigSchema` in class `MeasurementPlugin`

### init

    public void init(PluginManager manager)
              throws PluginException

  Description copied from class: `GenericPlugin`
  Called when the plugin is loaded on the server and on the agent side.

  Overrides:
    `init` in class `MeasurementPlugin`
  Throws:
    `PluginException`
  See Also:
    `GenericPlugin.init(net.hyperic.hq.product.PluginManager)`

### getMeasurementProperties

    protected java.util.Map getMeasurementProperties()

  used for replacement in etc/hq-plugin.xml

  Overrides:
    `getMeasurementProperties` in class `MeasurementPlugin`

### getValue

    public MetricValue getValue(Metric metric)
                         throws MetricUnreachableException,
                                MetricNotFoundException,
                                PluginException

  Description copied from class: `MeasurementPlugin`
  This method is called when the plugin is asked for a metric value. The Metric is a translated value as returned by the getMeasurements() routine, and then run through the translate() method.

  Specified by:
    `getValue` in class `MeasurementPlugin`
  Parameters:
    `metric` - Value returned from translate(), representing a specific metric to retrieve
  Returns:
    The value of the Metric and timestamp of collection time
  Throws:
    `PluginException` - Thrown when an internal plugin error occurs
    `MetricUnreachableException` - The monitored resource is unreachable. I.e. ConnectException
    `MetricNotFoundException` - The monitored resource does not know about the requested Metric. I.e. JMX AttributeNotFoundException
  See Also:
    `MeasurementPlugin.getValue(net.hyperic.hq.product.Metric)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.